public static class DescribeApiHistoryResponseBody.DescribeApiHistoryResponseBodyRequestConfig
extends com.aliyun.tea.TeaModel
| 限定符和类型 | 字段和说明 |
|---|---|
String |
bodyFormat
The format in which data is transmitted to the server for POST and PUT requests.
|
String |
bodyModel
The body model.
|
String |
postBodyDescription
The description of the request body.
|
String |
requestHttpMethod
The HTTP method that was used to make the request.
|
String |
requestMode
The request mode.
|
String |
requestPath
API path
|
String |
requestProtocol
The protocol type supported by the API.
|
| 构造器和说明 |
|---|
DescribeApiHistoryResponseBody.DescribeApiHistoryResponseBodyRequestConfig() |
@NameInMap(value="BodyFormat") public String bodyFormat
The format in which data is transmitted to the server for POST and PUT requests. Valid values: FORM and STREAM. FORM indicates that data is transmitted in the key-value pair format. STREAM indicates that data is transmitted as byte streams. This parameter takes effect only when the RequestMode parameter is set to MAPPING.
@NameInMap(value="BodyModel") public String bodyModel
The body model.
@NameInMap(value="PostBodyDescription") public String postBodyDescription
The description of the request body.
@NameInMap(value="RequestHttpMethod") public String requestHttpMethod
The HTTP method that was used to make the request. Valid values: GET, POST, DELETE, PUT, HEADER, TRACE, PATCH, CONNECT, and OPTIONS.
@NameInMap(value="RequestMode") public String requestMode
The request mode. Valid values:
* MAPPING: Parameters are mapped. Unknown parameters are filtered out.
* PASSTHROUGH: Parameters are passed through.
* MAPPING_PASSTHROUGH: Parameters are mapped. Unknown parameters are passed through.
@NameInMap(value="RequestPath") public String requestPath
API path
@NameInMap(value="RequestProtocol") public String requestProtocol
The protocol type supported by the API. Valid values: HTTP, HTTPS, and WebSocket. Separate multiple values with commas (,), such as "HTTP,HTTPS".
public DescribeApiHistoryResponseBody.DescribeApiHistoryResponseBodyRequestConfig()
public static DescribeApiHistoryResponseBody.DescribeApiHistoryResponseBodyRequestConfig build(Map<String,?> map) throws Exception
Exceptionpublic DescribeApiHistoryResponseBody.DescribeApiHistoryResponseBodyRequestConfig setBodyFormat(String bodyFormat)
public String getBodyFormat()
public DescribeApiHistoryResponseBody.DescribeApiHistoryResponseBodyRequestConfig setBodyModel(String bodyModel)
public String getBodyModel()
public DescribeApiHistoryResponseBody.DescribeApiHistoryResponseBodyRequestConfig setPostBodyDescription(String postBodyDescription)
public String getPostBodyDescription()
public DescribeApiHistoryResponseBody.DescribeApiHistoryResponseBodyRequestConfig setRequestHttpMethod(String requestHttpMethod)
public String getRequestHttpMethod()
public DescribeApiHistoryResponseBody.DescribeApiHistoryResponseBodyRequestConfig setRequestMode(String requestMode)
public String getRequestMode()
public DescribeApiHistoryResponseBody.DescribeApiHistoryResponseBodyRequestConfig setRequestPath(String requestPath)
public String getRequestPath()
public DescribeApiHistoryResponseBody.DescribeApiHistoryResponseBodyRequestConfig setRequestProtocol(String requestProtocol)
public String getRequestProtocol()
Copyright © 2023. All rights reserved.